## nfft 3.2.3

=== debian/changelog ===
nfft (3.2.3-1) unstable; urgency=low

  * Initial release (Closes: #725705)

 -- Ghislain Vaillant <ghisvail@gmail.com>  Mon, 07 Oct 2013 10:08:24 +0100
