=== debian/control ===
Source: nfft
Maintainer: Ghislain Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libfftw3-dev,
               pkg-config
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/nfft.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/nfft.git
Homepage: http://www-user.tu-chemnitz.de/~potts/nfft

Package: libnfft3-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for computing Non-uniform Fast Fourier Transforms
 NFFT is a C subroutine library for computing the nonequispaced discrete
 Fourier transform (NDFT) in one or more dimensions, of arbitrary input
 size, and of complex data.
 .
 This package contains the shared version of the library.
 .
 To get the static library and the header files, you need to install
 libnfft3-dev.

Package: libnfft3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnfft3-1 (= ${binary:Version}),
         libfftw3-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for computing Non-uniform Fast Fourier Transforms - development
 NFFT is a C subroutine library for computing the nonequispaced discrete
 Fourier transform (NDFT) in one or more dimensions, of arbitrary input
 size, and of complex data.
 .
 This package contains the header files and static version of the library.

Package: libnfft3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libnfft3-1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for computing Non-uniform Fast Fourier Transforms - debug symbols
 NFFT is a C subroutine library for computing the nonequispaced discrete
 Fourier transform (NDFT) in one or more dimensions, of arbitrary input
 size, and of complex data.
 .
 This package contains the detached debugging symbols of the library.
