=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-portable-binary --enable-openmp --enable-all

override_dh_strip:
	dh_strip --dbg-package=libnfft3-dbg
