=== debian/watch ===
version=3
http://www-user.tu-chemnitz.de/~potts/nfft/download/nfft-(.*)\.tar\.gz
