## nfft 3.2.3+dfsg

=== debian/changelog ===
nfft (3.2.3+dfsg-1) unstable; urgency=medium

  * Repack to exclude sourceless documentation
  * Fix FTBFS on hppa (Closes: #742753)

 -- Ghislain Vaillant <ghisvail@gmail.com>  Mon, 31 Mar 2014 11:43:05 +0100
