=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Ghislain Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libfftw3-dev,
-               pkg-config
-Standards-Version: 3.9.4
+Build-Depends:
+ debhelper (>= 9),
+ dh-autoreconf,
+ libfftw3-dev,
+ pkg-config
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/nfft.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/nfft.git
 Homepage: http://www-user.tu-chemnitz.de/~potts/nfft
@@ -14,8 +15,9 @@
 Package: libnfft3-1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for computing Non-uniform Fast Fourier Transforms
  NFFT is a C subroutine library for computing the nonequispaced discrete
@@ -31,10 +33,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libnfft3-1 (= ${binary:Version}),
-         libfftw3-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libnfft3-1 (= ${binary:Version}),
+ libfftw3-dev
 Description: Library for computing Non-uniform Fast Fourier Transforms - development
  NFFT is a C subroutine library for computing the nonequispaced discrete
  Fourier transform (NDFT) in one or more dimensions, of arbitrary input
@@ -47,8 +50,11 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libnfft3-1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ libnfft3-1 (= ${binary:Version})
+Suggests:
+ libfftw3-dbg
 Description: Library for computing Non-uniform Fast Fourier Transforms - debug symbols
  NFFT is a C subroutine library for computing the nonequispaced discrete
  Fourier transform (NDFT) in one or more dimensions, of arbitrary input
