=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
http://www-user.tu-chemnitz.de/~potts/nfft/download/nfft-(.*)\.tar\.gz
