## nfft 3.3.0

=== debian/changelog ===
nfft (3.3.0-5) unstable; urgency=medium

  * Upload to unstable.
  * d/control:
    - use secure VCS-Git URI.
    - add missing Testsuite field.
    - cme fix, wrap and sort.
  * d/copyright: correct NFFT3 licensing from GPL-2 to GPL-2+.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 02 Feb 2016 23:55:10 +0000

nfft (3.3.0-4) experimental; urgency=medium

  * Disable testing for single and long-double precisions.
  * Add patch disabling slow tests.
    File: Disable-slow-tests.patch
  * Revert inhibition of tests for architectures which may timeout.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 16 Dec 2015 01:06:46 +0000

nfft (3.3.0-3) experimental; urgency=medium

  * Run testsuite for single and double precisions.
  * Disable testsuite for selected architectures due to potential timeout.
  * d/control: use more verbose and accurate package descriptions.
  * Simplify installation of documentation.
  * Use explicit list of architectures which supports long-double precision.
  * Drop patches fix-broken-destdir.diff, fix-hppa-build.patch and
    fix-missing-lm.patch, applied upstream.
  * Add patch fixing multiarch support in pkgconfig file.
    File: Use-configured-libdir-in-pkgconfig-file.patch
  * d/rules: use more indicative naming for fftwl detection.
  * Add autopkgtest testsuite.
  * d/rules: use existing nfft build directory for building the docs.
  * d/control: remove unnecessary ${Pre-Depends} in transitional package.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 12 Dec 2015 12:05:20 +0000

nfft (3.3.0-2) experimental; urgency=medium

  * Add d/p/doxygen-no-html-timestamps.patch. Disables usage of HTML
    timestamps in Doxygen documentation.
    Reason: improves package build reproducibility.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 18 Oct 2015 20:04:30 +0100

nfft (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - suggest -doc package in -dev package,
    - move doxygen to Build-Depends-Indep,
    - wrap and sort according to debmake template.
  * d/rules:
    - remove override on dh_strip, use global --dbg-package option instead,
    - use stricter hardening,
    - split rules between -arch and -indep, documentation can now be built
      independently,
    - surround testing rules with notest check,
    - make build of the long-double NFFT conditional on successful detection
      of the long-double FFTW.
  * d/watch:
    - track Github releases for upstream tarballs.
    - add dversion mangling for alpha / beta / rc.
  * Add gbp.conf file.
  * Add upstream metadata file.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 01 Jun 2015 10:59:19 +0100

nfft (3.3.0~alpha4-1) experimental; urgency=medium

  * New upstream development release
  * Add packages for multi-precision version of NFFT
  * Add documentation package, no more repack required
  * Run test suite during package build process
  * d/patches/*: drop all patches, fixed upstream 

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 14 Jan 2015 12:23:32 +0000
