=== debian/control ===
Source: nfft
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libcunit1-dev,
               libfftw3-dev,
               libncurses5-dev,
               pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nfft.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nfft.git
Homepage: http://www-user.tu-chemnitz.de/~potts/nfft

Package: libnfft3-2
Architecture: any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
         libnfft3-double2 (= ${binary:Version}),
         libnfft3-long2 (= ${binary:Version}) [amd64 arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64el s390x x32],
         libnfft3-single2 (= ${binary:Version})
Description: library for computing non-uniform Fourier transforms
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package is a transitional package providing the NFFT library in all
 available precisions.

Package: libnfft3-double2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for computing non-uniform Fourier transforms (double precision)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the shared library compiled with double precision.

Package: libnfft3-single2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for computing non-uniform Fourier transforms (single precision)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the shared library compiled with single precision.

Package: libnfft3-long2
Architecture: amd64 arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64el s390x x32
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for computing non-uniform Fourier transforms (long-double precision)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the shared library compiled with long-double precision.

Package: libnfft3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libfftw3-dev,
         libnfft3-double2 (= ${binary:Version}),
         libnfft3-long2 (= ${binary:Version}) [amd64 arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64el s390x x32],
         libnfft3-single2 (= ${binary:Version})
Suggests: libnfft3-doc
Description: development files for the NFFT library
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the development files for the NFFT library.

Package: libnfft3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libnfft3-double2 (= ${binary:Version}),
         libnfft3-long2 (= ${binary:Version}) [amd64 arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64el s390x x32],
         libnfft3-single2 (= ${binary:Version})
Suggests: libfftw3-dbg
Description: debugging symbols for the NFFT library
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the debugging symbols for the NFFT library.

Package: libnfft3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the NFFT library
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the documentation for the NFFT library.
