=== debian/tests/control ===
Tests: build-examples
Depends: build-essential,
         libnfft3-dev,
         pkg-config
Restrictions: allow-stderr
