## nfft 3.3.2~rc2

=== debian/changelog ===
nfft (3.3.2~rc2-2) unstable; urgency=medium

  * d/rules: disable long-double testing for powerpc and ppc64el.
  * d/rules: overall reformatting:
    - Add missing export command for DH_VERBOSE.
    - Re-order flags to follow debhelper signature.
    - Call dh_auto_build to build the documentation.
    - Clear unnecessary usage of --arch / --indep flags.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 02 Aug 2016 15:07:31 +0100

nfft (3.3.2~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Drop -dbg packages in favor of autogenerated -dbgsym.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 30 Jun 2016 11:50:15 +0100

nfft (3.3.2~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream metadata.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 26 May 2016 07:39:14 +0100

nfft (3.3.1-1) unstable; urgency=medium

  * d/gbp.conf: switch packaging branch to debian/master (DEP-14).
  * d/gbp.conf: disable patch numbering with gbp-pq.
  * Update patch queue:
    - Drop Use-configured-libdir-in-pkgconfig-file.patch, applied upstream.
    - Drop Disable-slow-tests.patch, fixed upstream.
  * Simplify install and lintian-overrides regexes.
  * d/rules: fix buggy clean target.
  * d/rules: detect long-double availability with pkg-config.
  * d/rules: enable testsuite for single and long-double precisions.
  * d/rules: s/COMMON_BUILD_OPTIONS/BUILD_OPTIONS.
  * d/rules: simplify call to doc target.
  * d/rules: comment out DH_VERBOSE.
  * d/control: add mips64el to list of architectures supporting long-double.
  * d/control: fix formatting of long description.
  * Bump standards version to 3.9.8, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 05 May 2016 10:18:39 +0100
