## nfft 3.3.2

=== debian/changelog ===
nfft (3.3.2-2) unstable; urgency=medium

  * Restrict testing to single- and double-precision builds on powerpc
    architectures.
    Thanks to Breno Leitao for the fix (Closes: #844403)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 14 Dec 2016 12:00:01 +0000

nfft (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * Drop superfluous query for DEB_HOST_ARCH_CPU.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 31 Oct 2016 09:00:52 +0000

nfft (3.3.2~rc3-1) unstable; urgency=medium

  * New upstream version 3.3.2~rc3
  * Upgrade to debhelper 10.
    - Bump compat version to 10.
    - Bump versioned depends on debhelper to 10.
    - Drop explicit dependency on dh-autoreconf.
    - Drop explicit usage of `--with autoreconf` from dh command.
    - Drop explicit usage of `--parallel` from dh command.
  * Refactor and simplify content of rules file.
    - Use dh_listpackages to detect long-double precision availability.
    - Drop superfluous query for DEB_HOST_ARCH_CPU.
    - Drop explicit setup of precision suffix, use upstream's defaults.
    - Simplify all targets by looping through the available precisions.
  * Enable testing for long-double precision for all architectures.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 12 Oct 2016 11:20:07 +0100
