=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Section: science
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                libcunit1-dev,
                libfftw3-dev,
                libncurses5-dev,
