## nfft 3.4.0~rc1

=== debian/changelog ===
nfft (3.4.0~rc1-1) experimental; urgency=medium

  * New upstream version 3.4.0~rc1
  * Update copyright dates and paragraphs
  * Use secure copyright format URI
  * Refresh the patch queue
  * Fixup whitespacing in rules file
  * Replace occurrences of findstring by filter
  * Drop superfluous Testsuite field
  * Add support for the nodoc build profile
  * Add recommended get-orig-source target
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 19 Sep 2017 22:29:21 +0200
