=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 10),
+               dpkg-dev (>= 1.17.14),
                libcunit1-dev,
                libfftw3-dev,
                libncurses5-dev,
                pkg-config
-Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
+Build-Depends-Indep: doxygen <!nodoc>
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nfft.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nfft.git
 Homepage: http://www-user.tu-chemnitz.de/~potts/nfft
@@ -171,7 +171,7 @@
          libnfft3-double2 (= ${binary:Version}),
          libnfft3-long2 (= ${binary:Version}) [amd64 arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips64el powerpc powerpcspe ppc64el s390x x32],
          libnfft3-single2 (= ${binary:Version})
-Suggests: libnfft3-doc
+Suggests: libnfft3-doc <!nodoc>
 Description: development files for the NFFT library
  NFFT3 is a software library written in C for computing nonequispaced fast
  Fourier and related transformations. In detail, NFFT3 implements:
@@ -234,3 +234,4 @@
     - polar FFT, discrete Radon transform, ridgelet transform
  .
  This package provides the documentation for the NFFT library.
+Build-Profiles: <!nodoc>
