=== debian/rules ===
--- 
+++ 
@@ -1,33 +1,32 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE = 1
+#export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk
 
 # Hardening flags.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CFLAGS_MAINT_APPEND=-Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 # Available precisions.
 PRECISIONS = single double
-ifneq (,$(findstring libnfft3-long2,$(shell dh_listpackages)))
-	PRECISIONS += long
+ifneq (,$(filter libnfft3-long2,$(shell dh_listpackages)))
+	PRECISIONS+=long
 endif
 
 # Tested precisions.
 # NOTE: Testing is temporarily restricted to single- and double-precision
 # builds on powerpc architectures. See Bug-Debian #844403.
-ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),powerpc ppc64el))
-	TESTED_PRECISIONS = single double
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),powerpc ppc64el))
+	TESTED_PRECISIONS=single double
 else
-	TESTED_PRECISIONS = $(PRECISIONS)
+	TESTED_PRECISIONS=$(PRECISIONS)
 endif
 
 # Build options common to arch and indep targets.
-BUILD_OPTIONS = \
-	--disable-applications \
+BUILD_OPTIONS=--disable-applications \
 	--disable-doxygen-doc \
 	--disable-examples \
 	--disable-static \
@@ -48,16 +47,18 @@
 		--enable-single
 	dh_auto_configure --builddirectory=build-double -- \
 		$(BUILD_OPTIONS)
-ifneq (,$(findstring long,$(PRECISIONS)))
+ifneq (,$(filter long,$(PRECISIONS)))
 	dh_auto_configure --builddirectory=build-long -- \
 		$(BUILD_OPTIONS) \
 		--enable-long-double
 endif
 
 override_dh_auto_configure-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_auto_configure --builddirectory=build-double -- \
 		$(BUILD_OPTIONS) \
 		--enable-doxygen-doc
+endif
 
 override_dh_auto_build-arch:
 	for p in $(PRECISIONS) ; do \
@@ -81,5 +82,10 @@
 	done
 
 override_dh_installdocs-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_installdocs --indep
 	dh_doxygen --indep
+endif
+
+get-orig-source:
+	uscan --download-current-version --force-download --no-symlink
