## nfft 3.4.0~rc2

=== debian/changelog ===
nfft (3.4.0~rc2-1) experimental; urgency=medium

  * New upstream version 3.4.0~rc2
  * Mark transitional packages oldlibs/optional
  * Remove test restrictions for ppc architectures
  * Add support for the nocheck build option
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 29 Sep 2017 14:13:56 +0100
