=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libncurses5-dev,
                pkg-config
 Build-Depends-Indep: doxygen <!nodoc>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/nfft.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/nfft.git
 Homepage: http://www-user.tu-chemnitz.de/~potts/nfft
@@ -19,7 +19,6 @@
 Architecture: any
 Multi-Arch: same
 Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends},
          libnfft3-double2 (= ${binary:Version}),
          libnfft3-long2 (= ${binary:Version}) [amd64 arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips64el powerpc powerpcspe ppc64el s390x x32],
