=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,6 @@
 PRECISIONS = single double
 ifneq (,$(filter libnfft3-long2,$(shell dh_listpackages)))
 	PRECISIONS+=long
-endif
-
-# Tested precisions.
-# NOTE: Testing is temporarily restricted to single- and double-precision
-# builds on powerpc architectures. See Bug-Debian #844403.
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU),powerpc ppc64el))
-	TESTED_PRECISIONS=single double
-else
-	TESTED_PRECISIONS=$(PRECISIONS)
 endif
 
 # Build options common to arch and indep targets.
@@ -68,13 +59,12 @@
 override_dh_auto_build-indep:
 	dh_auto_build --builddirectory=build-double -- doc
 
-override_dh_auto_test-arch:
-	for p in $(TESTED_PRECISIONS) ; do \
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	for p in $(PRECISIONS) ; do \
 		dh_auto_test --builddirectory=build-$$p ; \
 	done
-
-override_dh_auto_test-indep:
-	# No-op.
+endif
 
 override_dh_auto_install-arch:
 	for p in $(PRECISIONS) ; do \
